org.codehaus.plexus.interpolation.multi

## Class DelimiterSpecification

- java.lang.Object
- - org.codehaus.plexus.interpolation.multi.DelimiterSpecification

    public final class DelimiterSpecification
    extends java.lang.Object

### Field Summary

Fields
`static DelimiterSpecification` `DEFAULT_SPEC`

### Constructor Summary

Constructors
Constructor and Description
`DelimiterSpecification(java.lang.String begin, java.lang.String end)`

### Method Summary

Methods
`void` `clearNextStart()`
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getBegin()`
`java.lang.String` `getEnd()`
`int` `getNextStartIndex()`
`int` `hashCode()`
`static DelimiterSpecification` `parse(java.lang.String delimiterSpec)`
`void` `setNextStartIndex(int nextStart)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_SPEC

    public static final DelimiterSpecification DEFAULT_SPEC

### Constructor Detail

#### DelimiterSpecification

    public DelimiterSpecification(java.lang.String begin,
                          java.lang.String end)

### Method Detail

#### getNextStartIndex

    public int getNextStartIndex()

#### setNextStartIndex

    public void setNextStartIndex(int nextStart)

#### clearNextStart

    public void clearNextStart()

#### parse

    public static DelimiterSpecification parse(java.lang.String delimiterSpec)

#### getBegin

    public java.lang.String getBegin()

#### getEnd

    public java.lang.String getEnd()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`